/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledRoot, StyledAction } from '../index.js';
describe('Tag styled components', function () {
  describe('StyledRoot', function () {
    test.each([[''], ['$disabled'], ['$isFocused'], ['$isActive']])('', function (prop) {
      var props = {};
      props[prop] = true;
      var component = shallow(React.createElement(StyledRoot, props, React.createElement("div", null)));
      expect(component.instance().getStyles()).toMatchSnapshot('StyledRoot has correct styles when ' + prop);
    });
  });
  describe('StyledAction', function () {
    test.each([['$disabled'], ['']])('', function (prop) {
      var props = {};
      props[prop] = true;
      var component = shallow(React.createElement(StyledAction, props, React.createElement("div", null)));
      expect(component.instance().getStyles()).toMatchSnapshot('StyledAction has correct styles when ' + prop);
    });
  });
});